Hi, hope this is in the right place, i have an old wii with 3.3e on it, i did most of the softmod tut for homebrew channel - easy, but i need to update to 4.1before going any further, was trying the other tut for it but mediafire is down (for downloading links) to use sd card, tried wifi over and over in my wii but it wont find a router, done loads of stuff/fiddling with router settings etc (searched and searched), i think i have either a dodgy wifi module (but wii works) or a non compatible router (sky's sagem fast-uk), i want to play online so ive ordered the usb-lan adaptor, just hope this works (dont like wifi anyway), but will it destroy any homebrew etc when setting it up/connecting it?? precautions to take?? i sort of read it updates or something when you plug it in so this is why i am concerned, the search engine on this site created nothing of use to answer this question, please any answers would be great, thankyou....